export const CanvasSmbl = Symbol("Canvas");
export const ProcessedSmbl = Symbol("processed");
export const MovementXSmbl = Symbol("movementX");
export const MovementYSmbl = Symbol("movementY");

export interface Point {
  x: number;
  y: number;
}
export interface Pointer {
  id: number;
  pos: Point;
  shift: Point;
}
export interface CanvasData {
  position: Point;
  scale: number;
  cell: number;
}
export interface CanvasElement extends SVGGElement {
  [CanvasSmbl]?: Canvas;
}
export interface Canvas {
  move?(x: number, y: number): void;
  scale?(scale: number): void;
  data: CanvasData;
}
